List Assets
curl --request GET \
--url https://api.blockworks.com/v1/assets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}
]
}assets
List Assets
List assets with pagination and optional filters (code, slug, category, etc.). Use expand to include related fields (e.g., price, markets, supply).
GET
/
v1
/
assets
List Assets
curl --request GET \
--url https://api.blockworks.com/v1/assets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}
]
}Authorizations
Query Parameters
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 1000Maximum string length:
20Maximum string length:
100Available options:
addresses, chains, addresses.chain, markets, market_cap, ohlcv_last_24_h, price, reference, sector, supply Maximum string length:
65535Available options:
code, slug, market_cap.rank, market_cap.percent_change_usd_1_h, market_cap.percent_change_usd_24_h, market_cap.usd, markets.volume_24_h, price.usd, sector.title, supply.total Available options:
asc, desc